mysql multiple versions.

Problems with the Linux version of XAMPP, questions, comments, and anything related.

mysql multiple versions.

Postby lch » 05. June 2015 00:05

xampp is installed and working fine. from tar 1.8.0 phpMyAdmin 4.4.3
But i had a mysql already installed in /usr/bin/mysql

First one the original -
which mysql
/usr/bin/mysql
:/home/lh/drupal>mysql -V
mysql Ver 14.14 Distrib 5.5.43, for debian-linux-gnu (x86_64) using readline 6.2

Second one from xampp.

/opt/lampp/bin/mysql -u root -V
/opt/lampp/bin/mysql Ver 14.14 Distrib 5.6.24, for Linux (x86_64) using EditLine wrapper


Can I safely eliminate the first one? is there some dependency here.
I can go into the package manager and find mysql and eliminate the first one safely?
lch
 
Posts: 8
Joined: 04. June 2015 19:14
Operating System: linux mint 13 mate desktop

Re: mysql multiple versions.

Postby glitzi85 » 05. June 2015 18:04

I am not familiar with Mint, but as it is based on Ubuntu I assume it is using apt as a package manager. In this case simply try to uninstall. During the process the package manager will show you a list of all software that depends on the stock mysql. If you don't see any packages you need, go for it.
User avatar
glitzi85
 
Posts: 1920
Joined: 05. March 2004 23:26
Location: Dahoim

Re: mysql multiple versions.

Postby Nobbie » 11. June 2015 21:32

lch wrote:Can I safely eliminate the first one? is there some dependency here.
I can go into the package manager and find mysql and eliminate the first one safely?


Dont ask here, ask YOURSELF. Of course you can eliminate Mysql safely from your distribution, but we cannot know, if have are using MySQL.
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests